/**
 * ==========================================================
 * Created by fp on 26.02.17.
 * ==========================================================
 */

package mvc03.controller;

import mvc03.model.MainModel;

import javafx.stage.Stage;

public class MainController {
    private final MainModel model;
    private final CircleController circleController;

    public MainController(Stage stage, MainModel model) {
        this.model = model;
        this.circleController = new CircleController(model.getCircleModel());
    }

    public CircleController getCircleController() {
        return circleController;
    }
}
