/**
 * =========================================================
 * Created by fp on 26.02.17.
 * =========================================================
 */

package mvc03.view;

import mvc03.controller.CircleController;
import mvc03.model.CircleModel;

import javafx.scene.shape.Circle;

public class CirclePane extends Circle {

    public CirclePane(CircleModel circleModel, CircleController circleController) {
        this.setRadius(circleModel.getRadius());
        circleModel.addObserver((o, arg) -> {
            this.setRadius(circleModel.getRadius());
            this.setFill(circleModel.getColor());
        });

        this.setOnMouseClicked(circleController::mouseClicked);
    }
}
