/*
 *  ================================================================
 *  MessageBoard.java: Create a simple message board ....
 * 
 *  Written by: Mark Austin                                June 2012 
 *  ================================================================
 */

package observer01;

import java.util.Observable;
import java.util.Observer;

public class MessageBoard extends Observable {
   private String message;

   public String getMessage() {
      return message;
   }

   public void changeMessage(String message) {
      this.message = message;
      setChanged();
      notifyObservers(message);
   }
}
