/*
 *  ==========================================================
 *  RunAdapterPattern.java:
 *  ==========================================================
 */

package adapter01;

public class RunAdapterPattern {
    public static void main(String[] args) {

        // Create and array of references to shapes ...

        Shape[] shapes = { new Line(), new Rectangle() };

        // Call routine to draw individual shapes ...

        int x1 = 10, y1 = 20;
        int x2 = 30, y2 = 60;
        for (int i = 0; i < shapes.length; ++i)
            shapes[i].draw(x1, y1, x2, y2);
    }
}
