/* 
 *  ============================================================================
 *  Builder.java: Common interface for builder ....
 *  ============================================================================
 */ 

package builder02;

import java.util.LinkedList;

public interface Builder {
     void startUpOperations();
     void      buildBody();
     void   insertWheels();
     void  addHeadlights();
     void  endOperations();
     Product getVehicle();   // Retrieve object that has been constructed ...
}

