/*
 *  =================================================================
 *  TestMessageBoard.java: Create students and a simple message board,
 *  then send message to the board. Make sure students read them ... 
 * 
 *  Written by: Mark Austin                                 June 2012 
 *  =================================================================
 */

package observer01;

public class TestMessageBoard {
   public static void main(String[] args) {
      MessageBoard board = new MessageBoard();

      Student bob   = new Student("Bob");
      Student katie = new Student("Katie");

      board.addObserver( bob   );
      board.addObserver( katie );

      board.changeMessage("More Homework!");
   }
}
