/*
 *  =====================================================================
 *  MyObservable.java: Observer design pattern implemented as a thread.
 *  =====================================================================
 */

package observer02;

import java.util.Observable;
import java.util.Observer;

public class MyObservable extends Observable implements Runnable {
  public MyObservable() {}

  public void start() { new Thread(this).start(); }

  public void run() {
    int count = 0;

    try {
      Thread.sleep(50);
    } catch (InterruptedException e) {
      e.printStackTrace();
    }

    count++;

    System.out.println("*** In MyObservable: " + count );
    setChanged();
    notifyObservers( new Integer(count) );

    count++;

    System.out.println("*** In MyObservable: " + count );
    setChanged();
    notifyObservers( new Integer(count) );

    count++;

    System.out.println("*** In MyObservable: " + count );
    setChanged();
    notifyObservers( new Integer(count) );

    count++;

    System.out.println("*** In MyObservable: " + count );
    setChanged();
    notifyObservers( new Integer(count) );

  }
}

   
