/*
 *  ====================================================================
 *  CarDrawVisitor.java: Visit car elements and draw details.
 *
 *  Modified by: Mark Austin                                  June, 2012
 *  ====================================================================
 */

package visitor01;
 
public class CarDrawVisitor implements CarElementVisitor {
    public void visit( Wheel wheel ) {
       System.out.println("Draw a wheel: " + wheel.getName() + " ..." );
    }
 
    public void visit( Engine engine ) {
       System.out.println("Draw the engine ...");
    }
 
    public void visit( Body body ) {
       System.out.println("Draw the body ...");
    }
 
    public void visit( Car car ) {
       System.out.println("Draw my car ...");
    }
}

